
Synnefo - Bug # 233

Status: Closed Priority: High

Author: Vangelis Koukis Category: old_synnefo

Created: 02/28/2011 Assignee: Markos Gogoulos

Updated: 02/08/2013 Due date:

Subject: Χειρισμός λαθών στο Rackspace API

Description

Πρέπει να γίνεται παντού χειρισμός λαθών, με ομοιόμορφο τρόπο:

try:

    εντολές

    return απάντηση

except κάτι.DoesNotExist:

    raise fault.itemNotFound(με details)

except Exception as e:

    raise fault.serviceUnavailable(με details)

Υπάρχουν τουλάχιστον τα εξής σημεία:

α) GET /images και GET /flavors δεν πιάνουν exceptions από την πρόσβαση στη βάση.

β) υπάρχουν αρκετά σημεία που επιστρέφεται με return το σφάλμα αντί να προκαλείται εξαίρεση.

Related issues:

related to Synnefo - Feature # 183: Υλοποίηση RSAPI, /servers Closed 01/27/2011

related to Synnefo - Feature # 185: Υλοποίηση RSAPI, /images Closed 01/27/2011

related to Synnefo - Feature # 211: Error Handling Ganeti - API (Django) Closed 02/11/2011

related to Synnefo - Feature # 245: Details στους exception handlers Closed 03/08/2011 04/04/2011

History

#1 - 02/28/2011 03:17 pm - Vangelis Koukis

- Assignee set to Markos Gogoulos

#2 - 03/01/2011 10:25 pm - Markos Gogoulos

Όσον αφορά το β), νομίζω οτι πλεον δεν επιστρέφεται return error κάπου, παρά raise faults. Αν έχει μείνει κάτι να το διορθώσουμε.

#3 - 03/02/2011 01:08 pm - Markos Gogoulos

- Status changed from Assigned to Feedback

Έγινε και το α).

#4 - 03/08/2011 03:08 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

closed, συνεχίζεται στο #245
#5 - 02/08/2013 06:46 pm - Vangelis Koukis

- Category set to old_synnefo
